Subject: bug#18939: 24.4; middle-click sometimes pastes data other than the PRIMARY selection

From: Vincent Lefevre <[email-masked]>
Date: Sun, 22 Mar 2015 02:42:58 +0100

On 2015-03-21 18:25:01 -0400, Stefan Monnier wrote:
> >> % emacs24 -Q    ; That's Debian's Emacs-24.4
> >> M-< C-k
> >> C-x 5 b *Messages*
> >> drag-mouse-1               [ in *Messages*, to select "information" ]
> > It step 3, it must be another window
> 
> With C-x 5 b I did get another window (frame).

Yes, but this also has the effect to do other operations in
the Emacs process.

> > (e.g. xterm, or even some other Emacs window at least if it is not the
> > same process).
> 
> I haven't tried with another Emacs process, but I did try with an xterm
> and got the same result.
> What do you get if you follow my recipe?

Emacs behaves correctly in this case. Ditto if I do the
C-x 5 b *Messages* before the M-< C-k. But if the other window
belongs to a different process, the bug occurs.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)